Starmade | Planet part entities does not vanish even without any blocks
Confirmed task for Starmade game development, NormalPublic


This is a very simple issue, a lot of people was imagining such thing was already reported.
When you blow up a planet, the part entities goes away from the explosion. However, even if you completely mine out the entire planet plate leaving no blocks on it, it will still show up on the Navigation tab, and also on the galaxy map as planet entities spread out.


Restricted Diffusion Commit
Restricted Diffusion Commit
Testing Results
Affected Gamemode(s)
Last tested (version)
0.19525 (Dev)
Issue Type
Galaxy Map
First occurrence (version)
Video Card Vendor
Video Card Model
Geforce GTX 550 Ti
URL to Starmadedock thread
Username on Registry
Username/Profile on Steam
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
jorgekorke changed Category from none/unspecified to Galaxy Map.
jorgekorke set First occurrence (version) to This is a very old issue, but I've been informed that such bug was never reported..
jorgekorke changed Reproducible from uncertain to Yes.
jorgekorke set Last tested (version) to Current Release.
jorgekorke changed Video Card Vendor from uncertain to NVIDIA.
jorgekorke set Video Card Model to Geforce GTX 550 Ti.
jorgekorke edited Serverconfig (server.cfg). (Show Details)
jorgekorke edited Clientconfig (settings.cfg). (Show Details)
jorgekorke set URL to Starmadedock thread to
jorgekorke set Username on Registry to jorgekorke.
jorgekorke set Username/Profile on Steam to jorgekorke.
jorgekorke added a subscriber: jorgekorke.
AndyP claimed this task.Aug 10 2015, 10:51 PM
AndyP triaged this task as "Normal" priority.
AndyP changed the visibility from "Custom Policy" to "Public (No Login Required)".
AndyP changed the edit policy from "Task Author" to "Starmade (Project)".
AndyP set Issue Type to Bug.
AndyP set Affected Gamemode(s) to Serverside.
AndyP removed First occurrence (version).
AndyP removed Last tested (version).
AndyP set OS-Specific to No.
AndyP set Hardware-Specific to No.
AndyP removed AndyP as the assignee of this task.
AndyP added a subscriber: AndyP.


AndyP removed a subscriber: AndyP.Aug 10 2015, 10:52 PM
AndyP added a subscriber: AndyP.
AndyP shifted this object from the S1 Public space to the S3 Starmade space.Aug 11 2015, 11:49 PM
AndyP changed the edit policy from "Starmade (Project)" to "All Users".

What did you use to blow up the planet ? An admin command or a ship/station's weapons ?

What did you use to blow up the planet ? An admin command or a ship/station's weapons ?

A ship's weapon.

psycommando added a comment.EditedAug 14 2015, 10:49 PM

Thanks ! I just wanted to clear that up.
I've used an admin command. I doubt it will changes anything. But its nice to have some extra details.
(EDIT: I also tested it by destroying the planet with a large canon. I can confirm it doesn't change anything. Both methods results in the planet plates leaving a floating marker after being mined completely. )

I was able to reproduce the bug.
Mining out entirely a planet plate from a destroyed planet leaves its marker floating in space forever. And a planet icon stays on the galaxy map as well.

How to reproduce :

  1. Use /explode_planet_sector while near a planet. (EDIT: or build a ~3,000+ block auto-canon and shoot it until it explodes.)
  2. Once the plates have stopped moving and have become solid again, place down a build block and enter it.
  3. Remove all blocks from a plate in build mode*
  4. As you're kicked out of buildmode, when you finally remove the build block, notice how the planet part HUD marker is still there and selectable, and also in the navigation menu, and galaxy map.

*Note that I increased the PLAYER_MAX_BUILD_AREA to 500 to make this faster.

Restarting doesn't fix the issue.
After testing it again a few times, I can also confirm that the marker stays on the galaxy map as well !

psycommando set Last tested (version) to 0.19368.Aug 15 2015, 12:25 AM
psycommando changed the task status from "Open" to "In Queue (Game)".Aug 15 2015, 12:34 AM
Restricted Application changed the task status from "In Queue (Game)" to "Resolved" by committing Restricted Diffusion Commit.Aug 25 2015, 6:31 PM

Tested again on 0.19431, from a fresh install, and the issue appears to still not be resolved.

Exploding a planet, then removing all blocks from any of its plates still leaves the marker of the plate, both on the hud, and in the galaxy map. Restarting doesn't change anything either.

psycommando changed Last tested (version) from 0.19368 to 0.19431.Sep 7 2015, 10:33 PM
psycommando changed the task status from "Resolved" to "In Queue (Game)".
Restricted Application changed the task status from "In Queue (Game)" to "Resolved" by committing Restricted Diffusion Commit.Sep 8 2015, 4:31 AM
psycommando removed psycommando as the assignee of this task.Sep 15 2015, 12:08 AM
psycommando added a subscriber: psycommando.
Restricted Application added a subscriber: Megacrafter127. · View Herald TranscriptSep 15 2015, 12:08 AM
lancake claimed this task.Sep 15 2015, 12:11 AM

-QA Testing-

Seems like it suffers from something asteroids used to have:

First of all, it's fixed for planet plates of unexploded planets.
It's not for exploded planet plates:

  • If you completely remove all blocks of an exploded planet plate, the entity marker will disappear but it won't on the map (waited a long time for it to update, but it never did, maybe because i didn't unload the sector?)
  • If you unload/load the sector that planet plate was in, the planet plate will be spawned again with it last saved state. Pretty much exactly the same as T173
lancake changed the task status from "Resolved" to "In Queue (Game)".Dec 16 2015, 12:17 PM
lancake set First occurrence (version) to 0.19431.
lancake changed Last tested (version) from 0.19431 to 0.19525 (Dev).

Add Comment